curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/customers \
--header 'Content-Type: application/json' \
--data '{
"name": "Ron Swanson",
"type": "individual",
"email": "[email protected]",
"phone": "+12128675309",
"device": {
"ip_address": "192.168.1.1"
}
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ron Swanson",
"type": "individual",
"email": "[email protected]",
"phone": "+12128675309",
"status": "verified",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"address": {
"address1": "123 Main St",
"city": "Anytown",
"state": "CA",
"zip": "12345",
"address2": "Apt 1"
},
"compliance_profile": {
"dob": "****-**-**",
"ssn": "***-**-****"
},
"device": {
"ip_address": "192.168.1.1"
},
"metadata": {},
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
}
}
}Use this endpoint to verify and onboard a new customer.
curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/customers \
--header 'Content-Type: application/json' \
--data '{
"name": "Ron Swanson",
"type": "individual",
"email": "[email protected]",
"phone": "+12128675309",
"device": {
"ip_address": "192.168.1.1"
}
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Ron Swanson",
"type": "individual",
"email": "[email protected]",
"phone": "+12128675309",
"status": "verified",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"address": {
"address1": "123 Main St",
"city": "Anytown",
"state": "CA",
"zip": "12345",
"address2": "Apt 1"
},
"compliance_profile": {
"dob": "****-**-**",
"ssn": "***-**-****"
},
"device": {
"ip_address": "192.168.1.1"
},
"metadata": {},
"config": {
"sandbox_outcome": "standard",
"processing_method": "inline"
}
}
}Use your Straddle API Key in the Authorization header as Bearer
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40Full name of the individual or business name.
"Ron Swanson"
individual, business The customer's email address.
The customer's phone number in E.164 format. Mobile number is preferred.
^\+[1-9]\d{1,14}$"+12128675309"
Show child attributes
An object containing the customer's address. This is optional. If used, all required fields must be present.
Show child attributes
An object containing the customer's compliance profile. This is optional. If all required fields must be present for the appropriate customer type.
Show child attributes
Unique identifier for the customer in your database, used for cross-referencing between Straddle and your systems.
"customer_123"
Up to 20 additional user-defined key-value pairs. Useful for storing additional information about the customer in a structured format.
Show child attributes
Show child attributes
Created
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?